setwd("C:/ellis/research/shrubs/2013USGSproject/CART/R")
library(rpart)

spruce<-read.csv('Fake_spruce_elev_slope_position.csv')
attach(spruce)
spruce.fit<-rpart(QUGA ~ Elev.m + Slope.position, method = "class") 
printcp(spruce.fit)
plotcp(spruce.fit)
rsq.rpart(spruce.fit)

plot((spruce.fit), main = 'fake spruce elev')
text((spruce.fit), cex=.8)

# "tree" didn't include slope position - not sure if it was because it was letter U's and 
# v's or if it wasn't a good predictor



# same as above but with "ANOVA" - regression method instead of "class" classification method
spruce.fit<-rpart(QUGA ~ Elev.m + Slope.position, method = "anova") 
printcp(spruce.fit)
plotcp(spruce.fit)
rsq.rpart(spruce.fit)

plot((spruce.fit), main = 'fake spruce elev')
text((spruce.fit), cex=.8)